#ifndef MAILVALIDATOR_H
#define MAILVALIDATOR_H
#include <qvalidator.h>
#include <qlineedit.h>
class MailValidator: public QValidator
{
	Q_OBJECT
public:
	MailValidator( QLineEdit *parent, const char * name=0);
	~MailValidator();
	QValidator::State validate (QString &input, int &pos) const;
	void fixup(QString &input);
};
#endif
